LinuxQuestions.org
Review your favorite Linux distribution.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices

Reply
 
Search this Thread
Old 02-14-2010, 12:49 PM   #1
san_as
LQ Newbie
 
Registered: Feb 2010
Posts: 7

Rep: Reputation: 0
unable to install xorg-dev


Hello
I have installed ubuntu 9.10. on virtual workstation 6.I tried command
apt-get install xorg-dev on terminal prompt.
I got following error :

Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
xorg-dev: Depends: libdmx-dev but it is not installable
Depends: libfontenc-dev but it is not installable
Depends: libfs-dev but it is not installable
Depends: libice-dev but it is not installable
Depends: libsm-dev but it is not installable
Depends: libx11-dev but it is not installable
Depends: libxau-dev but it is not installable
Depends: libxaw7-dev but it is not installable
Depends: libxcomposite-dev but it is not installable
Depends: libxcursor-dev but it is not installable
Depends: libxdamage-dev but it is not installable
Depends: libxdmcp-dev but it is not installable
Depends: libxevie-dev but it is not installable
Depends: libxext-dev but it is not installable
Depends: libxfixes-dev but it is not installable
Depends: libxfont-dev but it is not installable
Depends: libxft-dev but it is not installable
Depends: libxi-dev but it is not installable
Depends: libxinerama-dev but it is not installable
Depends: libxkbfile-dev but it is not installable
Depends: libxkbui-dev but it is not installable
Depends: libxmu-dev but it is not installable
Depends: libxmuu-dev but it is not installable
Depends: libxpm-dev but it is not installable
Depends: libxrandr-dev but it is not installable
Depends: libxrender-dev but it is not installable
Depends: libxres-dev but it is not installable
Depends: libxss-dev but it is not installable
Depends: libxt-dev but it is not installable
Depends: libxtrap-dev but it is not installable
Depends: libxtst-dev but it is not installable
Depends: libxv-dev but it is not installable
Depends: libxvmc-dev but it is not installable
Depends: libxxf86dga-dev but it is not installable
Depends: libxxf86misc-dev but it is not installable
Depends: libxxf86vm-dev but it is not installable
Depends: x11proto-bigreqs-dev but it is not installable
Depends: x11proto-composite-dev but it is not installable
Depends: x11proto-core-dev but it is not installable
Depends: x11proto-damage-dev but it is not installable
Depends: x11proto-dmx-dev but it is not installable
Depends: x11proto-evie-dev but it is not installable
Depends: x11proto-fixes-dev but it is not installable
Depends: x11proto-fontcache-dev but it is not installable
Depends: x11proto-fonts-dev but it is not installable
Depends: x11proto-gl-dev but it is not installable
Depends: x11proto-input-dev but it is not installable
Depends: x11proto-kb-dev but it is not installable
Depends: x11proto-randr-dev but it is not installable
Depends: x11proto-record-dev but it is not installable
Depends: x11proto-render-dev but it is not installable
Depends: x11proto-resource-dev but it is not installable
Depends: x11proto-scrnsaver-dev but it is not installable
Depends: x11proto-trap-dev but it is not installable
Depends: x11proto-video-dev but it is not installable
Depends: x11proto-xcmisc-dev but it is not installable
Depends: x11proto-xext-dev but it is not installable
Depends: x11proto-xf86bigfont-dev but it is not installable
Depends: x11proto-xf86dga-dev but it is not installable
Depends: x11proto-xf86dri-dev but it is not installable
Depends: x11proto-xf86misc-dev but it is not installable
Depends: x11proto-xf86vidmode-dev but it is not installable
Depends: x11proto-xinerama-dev but it is not installable
Depends: xserver-xorg-dev but it is not going to be installed
Depends: xtrans-dev but it is not installable
E: Broken packages
Plz tell me the solution.
 
Old 02-14-2010, 06:21 PM   #2
usdanskys
LQ Newbie
 
Registered: Sep 2003
Distribution: Fedora, Ubuntu, Puppy
Posts: 17

Rep: Reputation: 1
Have you tried running apt-get update before trying to install xorg-dev?
 
Old 04-14-2010, 10:22 PM   #3
johnh10000
Member
 
Registered: Nov 2008
Distribution: Ubuntu Lucid Lynx
Posts: 541

Rep: Reputation: 33
Quote:
Originally Posted by usdanskys View Post
Have you tried running apt-get update before trying to install xorg-dev?
have also after
sudo apt-get update
sudo apt-get upgrade
 
Old 04-15-2010, 06:25 AM   #4
RockDoctor
Senior Member
 
Registered: Nov 2003
Location: Minnesota, US
Distribution: Fedora, Ubuntu
Posts: 1,238

Rep: Reputation: 251Reputation: 251Reputation: 251
If you have synaptic installed, I'd recommend using it, and if the dependencies show up in the listing of files not installed, installing them manually if necessary. HTH
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Unable to install xorg-x11 via yum guarriman Fedora 2 07-02-2007 08:49 AM
Removing custom built Xorg to install Etch's Xorg kushalkoolwal Debian 4 05-30-2007 02:50 AM
Unable to install libc6-dev rstaveley Debian 8 02-12-2007 01:49 PM
"unable to find device node for /dev/x in /dev!" during install zombiedeth *BSD 0 02-02-2004 03:38 AM
Volume control is unable to run correctly. Unable to open audio device '/dev/mixer'. sevenreams Slackware 1 05-16-2003 08:29 PM


All times are GMT -5. The time now is 11:22 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration